Changeset 7127cb0 in rtems-testing


Ignore:
Timestamp:
Nov 6, 2011, 3:35:36 PM (8 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
8050f87
Parents:
e3d5bc5
Message:

2011-11-06 Joel Sherrill <joel.sherrill@…>

  • do_one: do_cleanup defaults to "no". Add initial support for Objective-C and FORTRAN.
    • Objective-C needs work on run-time support
    • FORTRAN needs to be tested
  • gcc_status: Use BUILDDIR not BASEDIR.
  • gccgo_status: Use BUILDDIR not BASEDIR.
  • networkconfig.h: Update.
  • rtems_gccgo_init.c: Switch to unlimited objects configuration.
  • rundeja: Add Objective-C.
  • test_driver: Add -C to check options and exit. Add --enable-watchdog to PPL configuration.
  • testsuite/ada/acats/Makefile.rtems: Correct uC5282.
  • gccobjc_status: New file.
Location:
gcc
Files:
1 added
9 edited

Legend:

Unmodified
Added
Removed
  • gcc/ChangeLog

    re3d5bc5 r7127cb0  
     12011-11-06      Joel Sherrill <joel.sherrill@oarcorp.com>
     2
     3        * do_one: do_cleanup defaults to "no".
     4        Add initial support for Objective-C and FORTRAN.
     5          - Objective-C needs work on run-time support
     6          - FORTRAN needs to be tested
     7        * gcc_status: Use BUILDDIR not BASEDIR.
     8        * gccgo_status: Use BUILDDIR not BASEDIR.
     9        * networkconfig.h: Update.
     10        * rtems_gccgo_init.c: Switch to unlimited objects configuration.
     11        * rundeja: Add Objective-C.
     12        * test_driver: Add -C to check options and exit.
     13        Add --enable-watchdog to PPL configuration.
     14        * testsuite/ada/acats/Makefile.rtems: Correct uC5282.
     15        * gccobjc_status: New file.
     16
    1172011-11-04      Joel Sherrill <joel.sherrilL@OARcorp.com>
    218
  • gcc/do_one

    re3d5bc5 r7127cb0  
    1 #! /bin/sh
    21#
    32# Execution Times (for sparc-rtems${RTEMS_VERSION})
     
    3231######################## Set defaults #############################
    3332# Remove Build Directories
    34 do_cleanup=yes
     33do_cleanup=no
    3534# Install Binutils (from rpm or source)
    3635do_binutils=no
     
    4847# Build the Objective-C language cross compiler.
    4948do_objc=no
     49  do_native_objc=yes
    5050# Build the Ada language cross compiler.
    5151do_ada=no
     
    5757do_gcj=no
    5858        do_gcj_multilib=yes
     59# Build the GCC FORTRAN language cross compiler.
     60do_fortran=no
     61        do_fortran_multilib=yes
    5962# Build RTEMS for a particular CPU/BSP combination
    6063do_rtems=no
     
    6669run_libgotests=no
    6770run_libjavatests=no
     71run_fortrantests=no
    6872# Do we send email to gcc-testresults with the test results?
    6973do_mail=yes
    7074# Are we noisy when running?
    71 verbose=no
     75verbose=yes
    7276######################## Parse arguments ###########################
    7377
     
    7680cat <<EOF
    7781do_one [options] CPU BSP
     82  -A - binutils, stage 1, C++, C/C++ multilib, Ada, GCC Go, ObjC, RTEMS
     83  -T - run GCC, Ada, GCC Go, and ObjC tests
    7884  -A - binutils, stage 1, C++, C/C++ multilib, Ada, GCC Go, GCJ, RTEMS
    7985  -T - run GCC, Ada, GCC Go and GCJ tests
     
    8793  -G - stage 2 GCC Go compiler
    8894  -J - stage 2 GCC Java compiler
     95  -f - stage 2 GCC FORTRAN compiler
     96  -F - run FORTRAN tests
    8997  -r - build RTEMS
    9098  -g - run GCC C/C++ tests
    9199  -C - run ACATS
    92   -d - do not clean up (delete build directories)
     100  -d - do not clean up (delete build directories) (default=no)
    93101  -v - verbose
    94102  -M - do NOT email test results to gcc-testresults
     
    116124}
    117125
    118 while getopts bdDnv1cmargiotCATMGOP OPT
     126while getopts bdDnv1cmargiotCfFAJTMGOP OPT
    119127do
    120128    case "$OPT" in
     
    128136           do_gcj="yes"
    129137           do_objc="yes"
     138           #do_fortran="yes"
    130139           do_rtems="yes"
    131140           ;;
     
    149158        G) do_gccgo=`toggle ${do_gccgo}` ;;
    150159        J) do_gcj=`toggle ${do_gcj}` ;;
     160        f) do_fortran=`toggle ${do_fortran}` ;;
    151161        # Build RTEMS
    152162        r) do_rtems=`toggle ${do_rtems}` ;;
     
    157167        M) do_mail=`toggle ${do_mail}` ;;
    158168        O) do_objc=`toggle ${do_objc}` ;;
    159         P) run_objctests=`toggle ${do_objc}` ;;
     169        P) run_objctests=`toggle ${run_objctests}` ;;
    160170        o) run_gccgotests=`toggle ${run_gccgotests}` ;;
    161171        t) run_libgotests=`toggle ${run_libgotests}` ;;
    162172        j) run_libjavatests=`toggle ${run_libjavatests}` ;;
     173        F) run_fortrantests=`toggle ${run_fortrantests}` ;;
    163174        *) fatal ;;
    164175    esac
     
    216227      ;;
    217228    *);;
     229  esac
     230fi
     231
     232# Which CPUs do not support FORTRAN
     233if [ ${do_fortran} = "yes" ] ; then
     234  case ${cpu} in
     235    arm|i386|m68k|mips|powerpc|sparc) ;;
     236    *)
     237      do_fortran=no
     238      echo ${cpu} does not support Ada
     239      ;;
    218240  esac
    219241fi
     
    237259  echo "  GCJ           : " ${do_gcj}
    238260  echo "  GCJ Multilib  : " ${do_gccgcj_multilib}
     261  echo "  FORTRAN       : " ${do_fortran}
    239262  echo "Build RTEMS     : " ${do_rtems}
    240263  echo "Run GCC Tests   : " ${run_gcctests}
     
    256279if [ ${do_binutils} = yes -o ${do_gdb} = yes -o \
    257280     ${do_stage1} = yes -o ${do_ada} = yes -o \
    258      ${do_gccgo} = yes -o ${do_gcj} = yes ] ; then
     281     ${do_gccgo} = yes -o ${do_gcj} = yes -o \
     282     ${do_fortran} = yes ] ; then
    259283  needCPU=yes
    260284fi
     
    392416    source)
    393417      echo "Building Binutils from source"
    394       rm -rf b-${cpu}-binutils
    395       mkdir b-${cpu}-binutils
    396       cd b-${cpu}-binutils
     418      rm -rf ${BUILDDIR}/b-${cpu}-binutils
     419      mkdir ${BUILDDIR}/b-${cpu}-binutils
     420      cd ${BUILDDIR}/b-${cpu}-binutils
    397421      (${BINUTILSDIR}/configure --target=${TARGET} --prefix=$INSTALL \
    398422        --disable-werror && \
     
    406430      grep ^FAIL ${LOGDIR}/${cpu}-binutils-check.log
    407431      cd ..
    408       test ${do_cleanup} = "yes" && rm -rf b-${cpu}-binutils
     432      test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-binutils
    409433      ;;
    410434    *)
     
    457481      echo "Building GDB from source"
    458482      cd ${BASEDIR}
    459       rm -rf b-${cpu}-gdb
    460       mkdir b-${cpu}-gdb
    461       cd b-${cpu}-gdb
     483      rm -rf ${BUILDDIR}/b-${cpu}-gdb
     484      mkdir ${BUILDDIR}/b-${cpu}-gdb
     485      cd ${BUILDDIR}/b-${cpu}-gdb
    462486      (${GDBDIR}/configure --target=${GDBTARGET} \
    463487        --enable-sim --enable-sim-hardware \
     
    470494      fi
    471495      cd ..
    472       test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gdb
     496      test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-gdb
    473497      ;;
    474498    *)
     
    488512{
    489513  test ${do_native_ada} = "yes" && AdaArg=",ada"
     514  test ${do_native_objc} = "yes" && ObjCArg=",objc"
    490515  ${GCCDIR}/configure \
    491516    ${NATIVE_GCC_EXTRA_ARGS} \
    492517    --disable-werror \
    493     --enable-languages=c,c++${AdaArg} --prefix=$INSTALL &&
     518    --enable-languages=c,c++${AdaArg}${ObjCArg} --prefix=$INSTALL &&
    494519  make ${MAKEJOBS} && make install
    495520}
     
    498523  echo "Building native compiler..."
    499524  cd ${BASEDIR} && \
    500   rm -rf b-native && \
    501   mkdir  b-native && \
    502   cd b-native
     525  rm -rf ${BUILDDIR}/b-native && \
     526  mkdir  ${BUILDDIR}/b-native && \
     527  cd ${BUILDDIR}/b-native
    503528  time j_native >${LOGDIR}/native.log 2>&1
    504529  if [ $? -ne 0 ] ; then
     
    507532  fi
    508533  cd ..
    509   test ${do_cleanup} = "yes" && rm -rf b-native
     534  test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-native
    510535else
    511536  echo Skipping native
     
    574599  echo "Building Stage 1 compiler (C/C++)..."
    575600  (cd ${BASEDIR} && \
    576    rm -rf b-${cpu}-gcc && \
    577    mkdir  b-${cpu}-gcc && \
    578    cd b-${cpu}-gcc && \
     601   rm -rf ${BUILDDIR}/b-${cpu}-gcc && \
     602   mkdir  ${BUILDDIR}/b-${cpu}-gcc && \
     603   cd ${BUILDDIR}/b-${cpu}-gcc && \
    579604     time j_gcc ${cpu} >${LOGDIR}/${cpu}-gcc.log 2>&1 && cd ..) || exit 1
    580605else
     
    588613  cpuArg=$1
    589614  bspArg=$2
    590   bspdir=b-${cpuArg}-${bspArg}
     615  bspdir=${BUILDDIR}/b-${cpuArg}-${bspArg}
    591616
    592617  cd ${BASEDIR}
     
    639664    exit 1
    640665  fi
    641   test ${do_cleanup} = "yes" && rm -rf b-${cpu}-${bsp} b-${cpu}-multilib
     666  test ${do_cleanup} = "yes" && \
     667      rm -rf ${BUILDDIR}/b-${cpu}-${bsp} ${BUILDDIR}/b-${cpu}-multilib
    642668else
    643669  echo Skipping RTEMS for ${cpu}/${bsp}
     
    648674if [ ${run_gcctests} = "yes" ] ; then
    649675  echo "Running GCC Tests..."
    650   cd ${BASEDIR}/b-${cpu}-gcc || exit 1
     676  cd ${BUILDDIR}/b-${cpu}-gcc || exit 1
    651677  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc \
    652678    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
     
    678704  echo Skipping GCC DejaGNU tests for ${cpu}/${bsp}
    679705fi
    680 test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcc
     706test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-gcc
    681707
    682708##### Build an Objective-C compiler now that we have a cross installed
     
    717743  echo "Building Stage 2 cross Objective-C compiler for ${1} ..."
    718744  (cd ${BASEDIR} && \
    719    rm -rf b-${cpu}-objc && \
    720    mkdir  b-${cpu}-objc && \
    721    cd b-${cpu}-objc && \
     745   rm -rf ${BUILDDIR}/b-${cpu}-objc && \
     746   mkdir  ${BUILDDIR}/b-${cpu}-objc && \
     747   cd ${BUILDDIR}/b-${cpu}-objc && \
    722748   time j_gccobjc ${cpu} >${LOGDIR}/${cpu}-objc.log 2>&1 && cd ..) || \
    723749    objc_fail="yes"
     
    728754#### Run the Objective-C tests
    729755if [ ${run_objctests} = "yes" -a \
    730      -d ${BASEDIR}/b-${cpu}-objc -a ${objc_fail} = "no" ] ; then
     756     -d ${BUILDDIR}/b-${cpu}-objc -a ${objc_fail} = "no" ] ; then
    731757  echo "Running Objective-C Tests..."
    732758
    733   cd ${BASEDIR}/b-${cpu}-gcc || exit 1
    734   time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc\
     759  cd ${BUILDDIR}/b-${cpu}-objc || exit 1
     760  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} objc \
    735761    >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
    736762
     
    763789
    764790if [ ${do_ada} = "yes" ] ; then
    765   test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
     791  test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-ada
    766792fi
    767793
     
    805831    echo "Failed building Ada"
    806832  fi
     833  return $status
    807834}
    808835
     
    811838  echo "Building Stage 2 cross Ada compiler for ${1} ..."
    812839  (cd ${BASEDIR} && \
    813    rm -rf b-${cpu}-ada && \
    814    mkdir  b-${cpu}-ada && \
    815    cd b-${cpu}-ada && \
     840   rm -rf ${BUILDDIR}/b-${cpu}-ada && \
     841   mkdir  ${BUILDDIR}/b-${cpu}-ada && \
     842   cd ${BUILDDIR}/b-${cpu}-ada && \
    816843   time j_gccada ${cpu} >${LOGDIR}/${cpu}-ada.log 2>&1 && cd ..) || \
    817844    ada_fail="yes"
     
    822849#### Run the Ada ACATS tests
    823850if [ ${run_acats} = "yes" -a \
    824      -d ${BASEDIR}/b-${cpu}-ada -a ${ada_fail} = "no" ] ; then
     851     -d ${BUILDDIR}/b-${cpu}-ada -a ${ada_fail} = "no" ] ; then
    825852  echo "Running ACATS..."
    826853  cd ${GCCDIR}/gcc/testsuite/ada/acats/ || exit 1
     
    845872
    846873if [ ${do_ada} = "yes" ] ; then
    847   test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
     874  test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-ada
    848875fi
    849876
     
    900927  echo "Building Stage 2 cross GCC Go compiler for ${1} ..."
    901928  (cd ${BASEDIR} && \
    902    rm -rf b-${cpu}-go && \
    903    mkdir  b-${cpu}-go && \
    904    cd b-${cpu}-go && \
     929   rm -rf ${BUILDDIR}/b-${cpu}-go && \
     930   mkdir  ${BUILDDIR}/b-${cpu}-go && \
     931   cd ${BUILDDIR}/b-${cpu}-go && \
    905932   time j_gccgo ${cpu} >${LOGDIR}/${cpu}-go.log 2>&1 && cd ..) || \
    906933     go_fail="yes"
     
    911938##### Do the gccgo tests
    912939if [ $a ${run_gccgotests} = "yes" -a \
    913      -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
     940     -d ${BUILDDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
    914941  echo "Running GCC Go Tests..."
    915   cd ${BASEDIR}/b-${cpu}-go/gcc || exit 1
     942  cd ${BUILDDIR}/b-${cpu}-go/gcc || exit 1
    916943  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gccgo \
    917944    >${LOGDIR}/${cpu}-gccgotests-${bsp}.log 2>&1
     
    943970##### Do the libgo tests
    944971if [ $a ${run_libgotests} = "yes" -a \
    945      -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
     972     -d ${BUILDDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
    946973  echo "Running libgo DejaGNU tests..."
    947   cd ${BASEDIR}/b-${cpu}-go || exit 1
     974  cd ${BUILDDIR}/b-${cpu}-go || exit 1
    948975  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} libgo \
    949976    >${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
     
    951978  RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
    952979  mkdir -p ${RDIR}
    953   cp ${TARGET}-${bsp}/libgo/testsuite/libgo-all.log \
    954     ${TARGET}-${bsp}/libgo/testsuite/libgo-all.sum ${RDIR}
     980  cp ${TARGET}/libgo/testsuite/libgo-all.log \
     981    ${TARGET}/libgo/testsuite/libgo-all.sum ${RDIR}
    955982else
    956983  echo Skipping libgo DejaGNU tests for ${cpu}/${bsp}
     
    958985
    959986if [ ${do_gccgo} = "yes" ] ; then
    960   test ${do_cleanup} = "yes" && rm -rf b-${cpu}-go
     987  test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-go
    961988fi
    962989exit 0
     
    10421069  test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcj
    10431070fi
     1071
     1072##### Build a FORTRAN compiler now that we have a cross installed
     1073j_fortran()
     1074{
     1075  if [ X${1} = X ] ; then
     1076    echo Usage: $0 TARGET_CPU
     1077    exit 1
     1078  fi
     1079  TARGET=${1}-rtems${RTEMS_VERSION}
     1080
     1081  if [ ! -d ${INSTALL} ] ; then
     1082    echo ${INSTALL} does not exist
     1083    exit 1
     1084  fi
     1085
     1086  ${GCCDIR}/configure \
     1087   ${GCC_EXTRA_ARGS} \
     1088   CFLAGS_FOR_TARGET="-B${BSP_INSTALL}/${TARGET}/${BSP_BUILT}/lib/ ${F_FLAGS}" \
     1089     --with-ppl=/users/joel/test-gcc/install-svn/ \
     1090     --enable-threads=rtems --with-gnu-as \
     1091     --with-gnu-ld --disable-newlib  --verbose \
     1092     --with-system-zlib --disable-nls \
     1093     --enable-version-specific-runtime-libs \
     1094     --enable-languages=c,fortran --target=$TARGET --prefix=$INSTALL && \
     1095  make ${MAKEJOBS} &&
     1096  make install
     1097  status=$?
     1098  if [ $status -ne 0 ] ; then
     1099    echo "Failed building FORTRAN"
     1100  fi
     1101  exit $status
     1102}
     1103
     1104fortran_fail="no"
     1105if [ ${do_fortran} = "yes" ] ; then
     1106  echo "Building Stage 2 cross GCC FORTRAN compiler for ${1} ..."
     1107  (cd ${BASEDIR} && \
     1108   rm -rf b-${cpu}-fortran && \
     1109   mkdir  b-${cpu}-fortran && \
     1110   cd b-${cpu}-fortran && \
     1111   time j_fortran ${cpu} >${LOGDIR}/${cpu}-fortran.log 2>&1 && cd ..) || \
     1112     fortran_fail="yes"
     1113else
     1114  echo Skipping GCC FORTRAN compiler for ${cpu}
     1115fi
     1116
     1117##### Do the FORTRAN tests
     1118if [ $a ${run_fortrantests} = "yes" -a \
     1119     -d ${BASEDIR}/b-${cpu}-fortran -a ${fortran_fail} = "no" ] ; then
     1120  echo "Running fortran DejaGNU tests..."
     1121  cd ${BASEDIR}/b-${cpu}-fortran || exit 1
     1122  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} fortran \
     1123    >${LOGDIR}/${cpu}-fortrantests-${bsp}.log 2>&1
     1124
     1125  RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
     1126  mkdir -p ${RDIR}
     1127  #cp ${TARGET}-${bsp}/libjava/testsuite/libjava-all.log \
     1128  #  ${TARGET}-${bsp}/libjava/testsuite/libjava-all.sum ${RDIR}
     1129else
     1130  echo Skipping FORTRAN DejaGNU tests for ${cpu}/${bsp}
     1131fi
     1132
     1133if [ ${do_fortran} = "yes" ] ; then
     1134  test ${do_cleanup} = "yes" && rm -rf b-${cpu}-fortran
     1135fi
     1136
     1137
     1138
    10441139exit 0
  • gcc/gcc_status

    re3d5bc5 r7127cb0  
    2323
    2424
    25 if [ ! -d ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite ] ; then
     25if [ ! -d ${BUILDDIR}/b-${cpu}-gcc/gcc/testsuite ] ; then
    2626  echo Test directory not found
    2727  exit 1
    2828fi
    2929
    30 cd ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite
     30cd ${BUILDDIR}/b-${cpu}-gcc/gcc/testsuite
    3131while :
    3232do
  • gcc/gccgo_status

    re3d5bc5 r7127cb0  
    2222fi
    2323
    24 
    25 if [ ! -d ${BASEDIR}/b-${cpu}-go/gcc/testsuite ] ; then
     24if [ ! -d ${BUILDDIR}/b-${cpu}-go/gcc/testsuite ] ; then
    2625  echo Test directory not found
    2726  exit 1
    2827fi
    2928
    30 cd ${BASEDIR}/b-${cpu}-go/gcc/testsuite
     29cd ${BUILDDIR}/b-${cpu}-go/gcc/testsuite
    3130while :
    3231do
  • gcc/networkconfig.h

    re3d5bc5 r7127cb0  
    2323
    2424/*
    25  * Default network interface
     25 * Network configuration
    2626 */
    27 static struct rtems_bsdnet_ifconfig netdriver_config = {
    28   NULL,                     /* Loop back interface only */
     27struct rtems_bsdnet_config rtems_bsdnet_config = {
    2928  NULL,                /* Loop back interface only */
    3029  NULL,                /* do not use bootp */
     
    4342  0,                   /* tcp_tx_buf_size */
    4443  0                    /* tcp_rx_buf_size */
    45 };
    4644
    47 /*
    48  * Network configuration
    49  */
    50 struct rtems_bsdnet_config rtems_bsdnet_config = {
    51   &netdriver_config,
    52   NULL,                /* do not use bootp */
    53   0,                   /* Default network task priority */
    54   0,                   /* Default mbuf capacity */
    55   0,                   /* Default mbuf cluster capacity */
    56   "localhost",         /* Host name -- match expectations for 127.0.0.1 */
    57   "nodomain.com",      /* Domain name */
    58   "127.0.0.1",         /* Gateway */
    59   "127.0.0.1",         /* Log host */
    60   {"127.0.0.1"  },     /* Name server(s) */
    61   {"127.0.0.1" },      /* NTP server(s) */
    62   0,                   /* sb_efficiency */
    63   0,                   /* udp_tx_buf_size */
    64   0,                   /* udp_rx_buf_size */
    65   0,                   /* tcp_tx_buf_size */
    66   0                    /* tcp_rx_buf_size */
    6745};
    6846
  • gcc/rtems_gccgo_init.c

    re3d5bc5 r7127cb0  
    11/*
    22 *  Init for Go testing.
     3 *
     4 *  $Id$
    35 */
    46
     
    128130
    129131#define CONFIGURE_POSIX_INIT_THREAD_TABLE
    130 // Works with 32 Mb too, this is faster
    131 //#define CONFIGURE_EXECUTIVE_RAM_SIZE (5 * 1024 * 1024)
    132 #define CONFIGURE_MAXIMUM_POSIX_MUTEXES 500
    133 #define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES 500
    134 #define CONFIGURE_MAXIMUM_POSIX_THREADS 400
    135 #define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  500
    136 #define CONFIGURE_MAXIMUM_TASK_VARIABLES (2 * 400)
     132#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES \
     133        rtems_resource_unlimited(10) /* 500 */
     134#define CONFIGURE_MAXIMUM_POSIX_MUTEXES \
     135        rtems_resource_unlimited(10) /* 500 */
     136#define CONFIGURE_MAXIMUM_POSIX_THREADS \
     137        rtems_resource_unlimited(10) /* 400 */
     138#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  \
     139        rtems_resource_unlimited(10) /* 500 */
     140#define CONFIGURE_MAXIMUM_TASK_VARIABLES \
     141        rtems_resource_unlimited(10) /* (2 * 400) */
    137142#define CONFIGURE_POSIX_INIT_THREAD_STACK_SIZE (32 * 1024)
    138143#define CONFIGURE_MINIMUM_TASK_STACK_SIZE (4 * 1024)
    139 //#define CONFIGURE_MEMORY_OVERHEAD (4 * 1024)
    140144
    141 //#define CONFIGURE_MICROSECONDS_PER_TICK 1000
    142 #define CONFIGURE_TICKS_PER_TIMESLICE   50
    143 #define CONFIGURE_MICROSECONDS_PER_TICK RTEMS_MILLISECONDS_TO_MICROSECONDS(1000)
     145#define CONFIGURE_MICROSECONDS_PER_TICK \
     146        RTEMS_MILLISECONDS_TO_MICROSECONDS(1000)
    144147
    145 #define CONFIGURE_MAXIMUM_TASKS 20
    146 #define CONFIGURE_MAXIMUM_SEMAPHORES 20
    147 //#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES    20
     148#define CONFIGURE_MAXIMUM_TASKS      rtems_resource_unlimited(10) /* 20 */
     149#define CONFIGURE_MAXIMUM_SEMAPHORES rtems_resource_unlimited(10) /* 20 */
    148150
    149151#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
     
    152154#define CONFIGURE_PIPES_ENABLED TRUE
    153155#define CONFIGURE_MAXIMUM_PIPES 20
    154 //#define CONFIGURE_MAXIMUM_BARRIERS 20
    155156
     157//#define CONFIGURE_MALLOC_DIRTY
     158#define CONFIGURE_UNIFIED_WORK_AREAS
    156159#define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY TRUE
    157 //#define BSP_ZERO_WORKSPACE_AUTOMATICALLY 1
    158 #define CONFIGURE_UNIFIED_WORK_AREAS
    159 //#define CONFIGURE_MALLOC_DIRTY
    160 //#define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY 1
    161160#define CONFIGURE_STACK_CHECKER_ENABLED TRUE
    162161
     162#define CONFIGURE_CONFDEFS_DEBUG
    163163#define CONFIGURE_INIT
    164164
    165165#include <rtems/confdefs.h>
    166 
    167166/* end of file */
  • gcc/rundeja

    re3d5bc5 r7127cb0  
    147147    "
    148148    ;;
     149  objc)
     150    RTEMS_MAKEFILE_PATH=${rtemsdir} \
     151    SCRIPTDIR=${SCRIPTDIR} \
     152      make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
     153    if [ $? -ne 0 ] ; then
     154      echo unable to compile RTEMS GCC Main
     155      exit 1
     156    fi
     157    rtems_config=`pwd`/rtems_gcc_main.o
     158    make check-objc RUNTESTFLAGS="\
     159    SIM=${BSP_SIM} \
     160    RTEMS_MAKEFILE_PATH=${rtemsdir} \
     161    RTEMS_CONFIG_OBJ=${rtems_config} \
     162    --target_board=rtems-${CPU}-${DEJABSP} \
     163    "
     164    ;;
    149165  libjava)
    150166    RTEMS_MAKEFILE_PATH=${rtemsdir} \
  • gcc/test_driver

    re3d5bc5 r7127cb0  
    22#
    33#  Test Driver
     4#
     5#  test_driver CPUs|all
    46#
    57#  $Id$
     
    7779doTests="yes"
    7880justTests="no"
    79 
    80 while getopts j1AacmnuGTUv OPT
     81checkOptionsAndExit="no"
     82
     83while getopts J1AacmnuCGTUv OPT
    8184do
    8285  case "$OPT" in
     
    8891    1) doBasicTools=`toggle ${doBasicTools}` ;;
    8992    a) doAda=`toggle ${doAda}` ;;
     93    C) checkOptionsAndExit=`toggle ${checkOptionsAndExit}` ;;
    9094    G) doGccGo=`toggle ${doGccGo}` ;;
    9195    J) doGcj=`toggle ${doGcj}` ;;
     
    121125ALL_CPUs="${CPUS_PART1} ${CPUS_PART2}"
    122126
    123 if    [ "X${CPUs}" = "X" ] ; then
     127if  [ "X${CPUs}" = "Xall" -o "X${CPUs}" = "X all" ] ; then
    124128  CPUs="${ALL_CPUs}"
    125129elif [ "X${CPUs}" = "X part1" ] ; then
     
    127131elif [ "X${CPUs}" = "X part2" ] ; then
    128132  CPUs="${CPUS_PART2}"
    129 fi
    130 
     133elif [ "X${CPUs}" = "X" -a ${doNative} = "no" ] ; then
     134  echo "No CPUs specified to test"
     135  exit 1
     136fi
    131137
    132138if [ ${verbose} = "yes" ] ; then
     
    145151fi
    146152
     153test ${checkOptionsAndExit} = "yes" && exit 0
     154
    147155test ${doMail}  = "no"       && mailArg="-M"
    148156test ${doTests} = "yes"      && testArg="-T"
     
    214222{
    215223  if [ x${PPL} != x ] ; then
    216     if [ -r ${INSTALL}/lib/libppl.a ] ; then
     224    if [ ! -r ${INSTALL}/lib/libppl.a ] ; then
    217225      echo "*** Building PPL ***"
    218226      cd ${PPL}
    219227      make distclean
    220       ./configure --prefix=${INSTALL}
    221       make all install
     228      ./configure --enable-watchdog --prefix=${INSTALL}
     229      make ${MAKEJOBS} all install
    222230    fi
    223231  fi
     
    241249}
    242250
    243 do_cpus()
     251build_cpu()
    244252{
    245253  bsp=
     
    309317wait
    310318
     319do_cpus=yes
    311320if [ ${doNative} = "yes" ]; then
    312321  # Build the native compiler as a baseline to build the others
    313322  time sh -x ${SCRIPTDIR}/gcc/do_one -n >${BASEDIR}/native.log 2>&1
     323  if [ $? -ne 0 ] ; then
     324    do_cpus=no
     325  fi
    314326fi
    315327
    316328# Now cycle over all these CPUs
    317 if [ $? -eq 0 ] ; then
     329if [ ${do_cpus} = yes ] ; then
    318330  for cpu in ${CPUs}
    319331  do
    320     do_cpus ${cpu}
     332    build_cpu ${cpu}
    321333  done
    322334fi
  • gcc/testsuite/ada/acats/Makefile.rtems

    re3d5bc5 r7127cb0  
    6969  ifeq ($(RTEMS_BSP),uC5282)
    7070        echo "  $(OBJCOPY) -O binary $$"'*' "$$"'*'.ralf >>$@
    71         echo "  uC5282 -C -l 90 $$"'*'.ralf >> $@
    72         echo "  rm -f "$$'*'.ralf >>$@
     71        echo "  uC5282 -C -l 90 $$"'*' >> $@
     72        #echo "  rm -f "$$'*'.ralf >>$@
    7373  endif # uC5282
    7474  ifeq ($(RTEMS_BSP),mcf5206elite)
Note: See TracChangeset for help on using the changeset viewer.